/*******************************************************************************
* manager.h: Admin class definition                                            *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
*                                                                              *
*------------------------------------------------------------------------------*
* Required headers:                                                            *
*  "common.h"                                                                  *
*  "string.h"                                                                  *
*******************************************************************************/

#ifndef _ADMIN_H_
#define _ADMIN_H_


//------------------------------------------------------------------------------
// 
//------------------------------------------------------------------------------
class C_Admin
{
 public:
  C_Admin(handle hLogger);
  ~C_Admin();
  
  int Init(const C_String& strCfgFile);
  int Run();
  int Destroy();
  
 protected:
  int OpenSocket(const C_String& strPort);
  int ProcessConnection(int iSockFd);
  
  handle hLog;
  int iSockFd;
};



#else
#error "Multiple inclusions of admin.h"
#endif
