/*******************************************************************************
* application.h: Application class definition                                  *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
*                                                                              *
*------------------------------------------------------------------------------*
* Required headers:                                                            *
*  "string.h"                                                                  *
*  "log.h"                                                                     *
*  "manager.h"                                                                 *
*  "admin.h"                                                                   *
*******************************************************************************/

#ifndef _APPLICATION_H_
#define _APPLICATION_H_


//------------------------------------------------------------------------------
// 
//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
class C_Application
{
 public:
  C_Application();
  ~C_Application();
  
  int Init(int iArgc, char* paArg[]);
  int Run();
  int Exit();

 protected:
  int CheckEnvir();
  void Usage(const C_String& strProgName);
  int GetConfig(int iArgc, char** paArg, C_String* pstrCfgFile, C_String* pstrLogFile);

  handle hLog;

  C_Log* pLogger;
  C_Manager* pManager;
  C_Admin* pAdministrator;
};


#else
#error "Multiple inclusions of application.h"
#endif
