/*******************************************************************************
* config.h: Configuration variables                                            *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
*                                                                              *
*------------------------------------------------------------------------------*
* required headers:                                                            *
*  None                                                                        *
*******************************************************************************/

#ifndef _CONFIG_H_
#define  _CONFIG_H_


//------------------------------------------------------------------------------
// Program description
//------------------------------------------------------------------------------

#define PGRM_VERSION    "0.0.x"
#define PGRM_INFO       "VideoLAN Server v" PGRM_VERSION " (" __DATE__ ") " \
                        "- (c)1999 VideoLAN\n"


//------------------------------------------------------------------------------
// General compilation options
//------------------------------------------------------------------------------

// Allow additional tests to be performed to help bugs tracking
#define DEBUG_CHECKS
// Allow debugging messages to be logged
#define DEBUG_LOGS
// Allow all other debugging extensions
#define DEBUG


//------------------------------------------------------------------------------
// To fill :)
//------------------------------------------------------------------------------
#define DFLT_CFGFILE    "vls.cfg"
#define DFLT_LOGFILE    "vls.log"

#define MAX_ADMIN_CONN  5

//#define DFLT_AMS_HOST "vod.via.ecp.fr"
#define DFLT_AMS_HOST "138.195.143.200"
#define DFLT_AMS_PORT 9001
//#define DFLT_MOT_HOST "vod-streamer.via.ecp.fr"
#define DFLT_MOT_HOST "138.195.143.201"
#define DFLR_MOT_PORT 9001
//#define DFLT_VLS_HOST "vls.via.ecp.fr"
#define DFLT_VLS_HOST "138.195.136.144"
#define DFLT_VLS_PORT 9001



#else
#error "Multiple inclusions of config.h"
#endif
