/*******************************************************************************
* manager.h: Manager class definition                                          *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
*                                                                              *
*------------------------------------------------------------------------------*
* Required headers:                                                            *
*  "common.h"                                                                  *
*  "string.h"                                                                  *
*  "list.h"                                                                    *
*  "input.h"                                                                   *
*******************************************************************************/

#ifndef _MANAGER_H_
#define _MANAGER_H_


//------------------------------------------------------------------------------
// 
//------------------------------------------------------------------------------
class C_Manager
{
 public:
  C_Manager(handle hLogger);
  virtual ~C_Manager();
  
  virtual int Init(const C_String& strCfgFile);
  virtual int Run();
  virtual int Destroy();

 protected:
  int Register(C_Input* pInput);

  handle hLog;

  // Registered Inputs list
  C_List<C_Input> cInputList;
};



#else
#error "Multiple inclusions of manager.h"
#endif
