/*******************************************************************************
* satellite.cpp: Satellite input streams                                       *
* (c)1999 VideoLAN                                                             *
*------------------------------------------------------------------------------*
* Hardware management                                                          *
*******************************************************************************/


//------------------------------------------------------------------------------
// Preamble
//------------------------------------------------------------------------------
#include <pthread.h>
#include <stddef.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <netinet/in.h>

//#include "SEConst.h"                                           // BroadLogic API
//#include "SEError.h"
//#include "SEProt.h"

#include "config.h"
#include "common.h"
#include "string.h"
#include "log.h"
#include "cfgfile.h"
#include "list.h"
#include "directory.h"
#include "ts.h"
#include "buffer.h"
#include "output.h"
#include "input.h"
#include "satellite.h"

#include "debug.h"



//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
C_Satellite::C_Satellite()
{
  
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
C_Satellite::~C_Satellite()
{
  
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::PreInit()
{
  // First init the API
  //QueryInterfaceVersion
  //QueryNumBoards
//  for(unsigned int iIndex = 0; iIndex < iBoardNumber; iIndex++)
//  {
    // Register as a master on the board in order to be able to change tuner
    // and stream capture settings

    //RegisterApp(Master);
    //ResetBoard(iIndex); ????
//  }

  // Tune the adapter to the right carrier
  //SetLNBFrequency
  //SetTunerWithLNB
  //QueryFELockStatus

  // Check that the signal is correctly received
  //QueryFEErrorStatus ???
  //QueryViterbiBitErrorRate ???
  //QueryTunerSignalStrength ???

  // See how many PID we can receive
  //QueryBoardInformation
  //QueryPIDList

  return 0;
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::InitParam(const C_String& strName, const C_String& strVal)
{
  if(strName == "Output")
  {
    printf("Output\n");
  }
  else if(strName == "SrcPort")
  {
    printf("SrcPort\n");
  }
  
  return 0;
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::PostInit()
{
  return 0;
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::BuildPgrmTable()
{
  return 0;
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::UpdatePgrmTable()
{
  return 0;
}


//------------------------------------------------------------------------------
// 
//------------------------------------------------------------------------------
int C_Satellite::Run()
{
  // There is nothing to do since the pgrm will be called back by the API when
  // the TS packets will be available. Those packets will have to be monitored
  // in order to detect program table updates

  int iRc = NO_ERR;

  // KLUDGE POUR TESTER
//  C_OutputCfg cCfg(OUTPUT_NET);
//  cCfg.strSrcHost = "bs";
//  cCfg.strSrcPort = "1235";
//  cCfg.strDstHost = "138.195.136.144";
//  cCfg.strDstHost = "224.0.0.2";
//  cCfg.strDstPort = "1234";
  
//  C_Output* pOutput = new C_NetOutput(cNetList, hLog);
//  ASSERT(pOutput);
//  pOutput->Init(cCfg);
//  cOutputList.PushEnd(pOutput);
  
//  C_TsPacket* pPacket;
//  C_Program cPgrm("toto", 4321);
//  u8 iCounter = 0;
  
//  for(int iIndex = 0; iIndex < 2^14; iIndex++)
//  {
//    pPacket = cNetList.GetPacket();
//    ASSERT(pPacket);
//    C_PatSection cPAT;
//    cPAT.BuildSection(iCounter, 127, iCounter, 0, 0, 0, cPgrm);
//    pPacket->Fill((const byte*)cPAT);
//    printf("Input: counter: %d -> %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x %x\n", iCounter, (*pPacket)[0], (*pPacket)[1], (*pPacket)[2], (*pPacket)[3], (*pPacket)[4], (*pPacket)[5], (*pPacket)[6], (*pPacket)[7], (*pPacket)[8], (*pPacket)[9], (*pPacket)[10], (*pPacket)[11], (*pPacket)[12], (*pPacket)[13], (*pPacket)[14], (*pPacket)[15], (*pPacket)[16], (*pPacket)[17], (*pPacket)[18], (*pPacket)[19], (*pPacket)[20], (*pPacket)[21]);

//    iRc = pOutput->Send(pPacket);
//    sleep(1);
//    iCounter &= ++iCounter & 0xF;
//  }

  return iRc;
}



//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::Clean()
{
  //UnregisterApp
  return 0;
}


//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
// Start the reception of the program at index iPgrmIndex in the directory
//------------------------------------------------------------------------------
int C_Satellite::StartReception(C_Output* pOutput, C_Program* pProgram)
{
  ASSERT(pOutput);
  
  // Ask the hardware to do the job
  //OpenStream()
  //StartCapture()

  // Cree les liens PID<->Output

  return 0;
}


//------------------------------------------------------------------------------
// Stop the reception of the program at index iPgrmIndex in the directory
//------------------------------------------------------------------------------
int C_Satellite::StopReception(C_Program* pProgram)
{

  // Ask the hardware to do the job
  //StopCapture
  //CloseStream

  // Detruit les liens PID<->Output

  return 0;
}



//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
//
//------------------------------------------------------------------------------
int C_Satellite::StreamCallBack()
{
  // for(unsigned int iIndex = 0; iIndex < packetNumber; iIndex++) ....

  // First fetch a TS packet to store the buffer
  // Copy the buffer to the TS packet
  // Release the buffer
  // Now find which output is responsible for that packet
  // Pass the packet to the output

  return 0;
}
